namespace Salamander
{

template<class Asset>
Asset* AssetManager::load(const std::string& name)
{
	// If we already have this asset, return it
	// TODO

	// Otherwise load a new one
	Asset* asset = new Asset();
	if(asset->load(name))
	{
		assets_[asset->typeId()].push_back(asset);
	}
	else
	{
		delete asset;
		asset = NULL;
	}

	return asset;
}


}
